Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.lowbalancepoll
Class EPPLowBalancePollThreshold

    java.lang.Object
      com.verisign.epp.codec.lowbalancepoll.EPPLowBalancePollThreshold

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLowBalancePollThreshold

extends java.lang.Object
implements EPPCodecComponent

The EPPLowBalancePollThreshold is the EPPCodecComponent that knows how to encode and decode Credit Threshold Type elements from/to XML and object instance.

Title: EPP 1.0 Low Balance

Description: Low Balance Poll Mapping for the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  majain
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `FIXED` The constant value for FIXED
`static java.lang.String` | `PERCENT` The constant value for PERCENT

Constructor Summary
`EPPLowBalancePollThreshold()` Create a new instance of EPPLowBalancePollThreshold
`EPPLowBalancePollThreshold(java.lang.String aType, java.lang.String aCreditThresholdValue)` Create a new instance of EPPLowBalancePollThreshold with the given threshold type

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLowBalancePollThreshold`.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this Low Balance data to the given DOM Document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLowBalancePollThreshold` compare.
`java.lang.String` | `getCreditThresholdValue()`
`java.lang.String` | `getType()`
`void` | `setCreditThresholdValue(java.lang.String aCeditThresholdValue)`
`void` | `setType(java.lang.String aType)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIXED

    public static final java.lang.String FIXED

  The constant value for FIXED

  See Also:
    Constant Field Values

### PERCENT

    public static final java.lang.String PERCENT

  The constant value for PERCENT

  See Also:
    Constant Field Values

Constructor Detail

### EPPLowBalancePollThreshold

    public EPPLowBalancePollThreshold()

  Create a new instance of EPPLowBalancePollThreshold

### EPPLowBalancePollThreshold

    public EPPLowBalancePollThreshold(java.lang.String aType,
                                      java.lang.String aCreditThresholdValue)

  Create a new instance of EPPLowBalancePollThreshold with the given threshold type

  Parameters:
    `aType` - the type value to use for this instance. Should use one of the static constants defined for this class as a value.

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this Low Balance data to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    DOM `Element` encoded
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLowBalancePollThreshold` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLowBalancePollThreshold` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLowBalancePollThreshold`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLowBalancePollThreshold`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String aType)

### getCreditThresholdValue

    public java.lang.String getCreditThresholdValue()

### setCreditThresholdValue

    public void setCreditThresholdValue(java.lang.String aCeditThresholdValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.